# Interface methods for submodule: Path
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DataObjectProxy as _DataObjectProxy


# Interface methods for class: Path
class PathProxy(_DataObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def StartOfInput(self) -> float:
		""""""
		...

	def EndOfInput(self) -> float:
		""""""
		...

	def Evaluate(self, input: float):
		""""""
		...

	def EvaluateToIndex(self, input: float) -> Sequence[int]:
		""""""
		...

	def IncrementInput(self, input: float) -> Sequence[int]:
		""""""
		...

